New to Kendo UI for VueStart a free 30-day trial

Specifies the line style of the series.

The possible values are:

  • "normal"—Connects the values with a straight line.
  • "step"—Connects the values with a right-angled line. Available when series.type is set to "line".
  • "smooth"—Connects the values with a smooth line. Not supported for stacked area series with missing values.

Possible values:

  • "normal"
  • "step"
  • "smooth"
Example:
jsx
<template>
 <Chart>
   <ChartSeries>
     <ChartSeriesItem :type="'line'" :data-items="dataItems" :item-style="'smooth'" />
   </ChartSeries>
 </Chart>
 </template>
<script>
import {
 Chart,
 ChartSeries,
 ChartSeriesItem
} from '@progress/kendo-vue-charts';

export default {
  components: {
     Chart,
     ChartSeries,
     ChartSeriesItem
  },
  data () {
      return {
         dataItems: [1, 2, 3]
      };
  }
}
</script>
Not finding the help you need?
Contact Support

New to Kendo UI for AngularStart a free 30-day trial

LineStyle

Updated on Apr 21, 2026

Specifies the line style of the series.

The possible values are:

  • "normal"—Connects the values with a straight line.
  • "step"—Connects the values with a right-angled line. Available when series.type is set to "line".
  • "smooth"—Connects the values with a smooth line. Not supported for stacked area series with missing values.
ts
import { Component } from '@angular/core';

@Component({
  selector: 'my-app',
  template: `
    <kendo-chart>
      <kendo-chart-series>
        <kendo-chart-series-item type="line" [data]="[1, 2, 1]" lineStyle="smooth">
        </kendo-chart-series-item>
      </kendo-chart-series>
    </kendo-chart>
  `
})
export class AppComponent {
}

type LineStyle = "normal" | "step" | "smooth";

Not finding the help you need?
Contact Support